import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLElement> & {
        steps: string[];
        currentStep: number;
        size?: string;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "primary" | "secondary" | "custom";
        glow?: boolean;
        hideLabel?: boolean;
        completedCustom?: string;
        currentCustom?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type StepIndicatorProps = typeof __propDef.props;
export type StepIndicatorEvents = typeof __propDef.events;
export type StepIndicatorSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let steps = ['Step 1', 'Step 2', 'Step 3', 'Step 4', 'Step 5'];
 * @prop export let currentStep = 1;
 * @prop export let size = 'h-2.5';
 * @prop export let color: ColorType = 'primary';
 * @prop export let glow = false;
 * @prop export let hideLabel = false;
 * @prop export let completedCustom = '';
 * @prop export let currentCustom = '';
 */
export default class StepIndicator extends SvelteComponentTyped<StepIndicatorProps, StepIndicatorEvents, StepIndicatorSlots> {
}
export {};
